# Generated from factory_girl-4.1.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name factory_girl
%global rubyabi 1.9.1

Summary: factory_girl provides a framework and DSL for defining and using model instance factories
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 4.1.0
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: https://github.com/thoughtbot/factory_girl
Source0: %{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby >= 1.9.2
Requires: %{?scl_prefix}rubygem(activesupport) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
factory_girl provides a framework and DSL for defining and
using factories - less error-prone, more explicit, and
all-around easier to work with than fixtures.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Appraisals
%doc %{gem_instdir}/CONTRIBUTION_GUIDELINES.md
%doc %{gem_instdir}/GETTING_STARTED.md
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/cucumber.yml
%doc %{gem_instdir}/*.gemspec
%doc %{gem_instdir}/features
%doc %{gem_instdir}/gemfiles
%doc %{gem_instdir}/spec

%changelog
* Thu Mar 21 2013 Steve Linabery <slinaber@redhat.com> - 4.1.0-1
- Initial package
